> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arouter.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# プロバイダー一覧

> ARouter を通じて利用可能なすべての AI プロバイダーのリストを取得します。

ARouter を通じて現在利用可能なすべてのプロバイダー（名前とサポートされているモデル数を含む）を取得します。

## エンドポイント

```
GET /api/v1/providers
```

## リクエスト例

```bash theme={null}
curl https://api.arouter.ai/api/v1/providers \
  -H "Authorization: Bearer lr_live_xxxx"
```

## レスポンス例

```json theme={null}
{
  "data": [
    {
      "id": "OpenAI",
      "name": "OpenAI",
      "model_count": 24,
      "is_byok_supported": true
    },
    {
      "id": "Anthropic",
      "name": "Anthropic",
      "model_count": 12,
      "is_byok_supported": true
    },
    {
      "id": "Google",
      "name": "Google",
      "model_count": 16,
      "is_byok_supported": true
    },
    {
      "id": "Meta",
      "name": "Meta",
      "model_count": 18,
      "is_byok_supported": false
    }
  ]
}
```

## レスポンスフィールド

| フィールド                      | 型         | 説明                                            |
| -------------------------- | --------- | --------------------------------------------- |
| `data`                     | `array`   | プロバイダーオブジェクトのリスト                              |
| `data[].id`                | `string`  | ルーティングで使用されるプロバイダー識別子（例：`provider.order` で使用） |
| `data[].name`              | `string`  | 人間が読めるプロバイダー名                                 |
| `data[].model_count`       | `integer` | このプロバイダーで利用可能なモデル数                            |
| `data[].is_byok_supported` | `boolean` | このプロバイダーで BYOK がサポートされているかどうか                 |

## 注意事項

* プロバイダー ID はチャット補完リクエストの `provider.order`、`provider.only`、`provider.ignore` フィールドで使用されます
* リクエストでのプロバイダー ID の使用方法については[プロバイダールーティング](/jp/provider-routing)を参照してください
* BYOK の設定については [BYOK](/jp/guides/overview/byok) を参照してください
